package repository

import (
	"context"
	"github.com/go-nunu/nunu-layout-advanced/internal/model"
)

type TcpLimitRepository interface {
	GetTcpLimit(ctx context.Context, id int64) (*model.TcpLimit, error)
}

func NewTcpLimitRepository(
	repository *Repository,
) TcpLimitRepository {
	return &tcpLimitRepository{
		Repository: repository,
	}
}

type tcpLimitRepository struct {
	*Repository
}

func (r *tcpLimitRepository) GetTcpLimit(ctx context.Context, id int64) (*model.TcpLimit, error) {
	var tcpLimit model.TcpLimit

	return &tcpLimit, nil
}
